Encoding (Java Platform SE 8 )
Keywords: org.omg.IOP.Encoding class
Date: 2018-07-01

org.omg.IOP

## Class Encoding

- java.lang.Object
- - org.omg.IOP.Encoding

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class Encoding
      extends Object
      implements IDLEntity

  org/omg/IOP/Encoding.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /builds/packages/core/openjdk/src/jdk8u-jdk8u172-b02/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Sunday, July 1, 2018 10:39:01 PM UTC

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `format` The encoding format.
    `byte` | `major_version` The major version of this Encoding format.
    `byte` | `minor_version` The minor version of this Encoding format.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Encoding()`
    `Encoding(short _format, byte _major_version, byte _minor_version)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          public short format

      The encoding format.

    - #### major_version

          public byte major_version

      The major version of this Encoding format.

    - #### minor_version

          public byte minor_version

      The minor version of this Encoding format.

  - ### Constructor Detail

    - #### Encoding

          public Encoding()

    - #### Encoding

          public Encoding(short _format,
                          byte _major_version,
                          byte _minor_version)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.